OpenVDB 12.1.0

Loading...
Searching...
No Matches
openvdb::v12_1::ax::codegen::internal Namespace Reference

## Functions
OPENVDB_AX_API void | InsertMappedFunctionRegistry (llvm::LLVMContext *CPtr, FunctionRegistry *reg, const FunctionOptions &opts)
OPENVDB_AX_API std::pair< FunctionRegistry *, FunctionOptions > | GetMappedFunctionRegistry (llvm::LLVMContext *CPtr)
OPENVDB_AX_API bool | RemoveMappedFunctionRegistry (llvm::LLVMContext *CPtr)

## Function Documentation

## ◆ GetMappedFunctionRegistry()

OPENVDB_AX_API std::pair< FunctionRegistry *, FunctionOptions > GetMappedFunctionRegistry | ( | llvm::LLVMContext * | CPtr | ) |

## ◆ InsertMappedFunctionRegistry()

OPENVDB_AX_API void InsertMappedFunctionRegistry | ( | llvm::LLVMContext * | CPtr,
|  | FunctionRegistry * | reg,
|  | const FunctionOptions & | opts )

## ◆ RemoveMappedFunctionRegistry()

OPENVDB_AX_API bool RemoveMappedFunctionRegistry | ( | llvm::LLVMContext * | CPtr | ) |